# DaprProtos.SubtleGetKeyResponse.Builder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.SubtleGetKeyResponse.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyResponse.Builder>
      - - io.dapr.v1.DaprProtos.SubtleGetKeyResponse.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.SubtleGetKeyResponseOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.SubtleGetKeyResponse

    public static final class DaprProtos.SubtleGetKeyResponse.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyResponse.Builder>
    implements DaprProtos.SubtleGetKeyResponseOrBuilder

     SubtleGetKeyResponse is the response for SubtleGetKeyAlpha1.

Protobuf type `dapr.proto.runtime.v1.SubtleGetKeyResponse`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`DaprProtos.SubtleGetKeyResponse.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.SubtleGetKeyResponse` `build()`
`DaprProtos.SubtleGetKeyResponse` `buildPartial()`
`DaprProtos.SubtleGetKeyResponse.Builder` `clear()`
`DaprProtos.SubtleGetKeyResponse.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.SubtleGetKeyResponse.Builder` `clearName()` Name (or name/version) of the key.
`DaprProtos.SubtleGetKeyResponse.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.SubtleGetKeyResponse.Builder` `clearPublicKey()` Public key, encoded in the requested format
`DaprProtos.SubtleGetKeyResponse.Builder` `clone()`
`DaprProtos.SubtleGetKeyResponse` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getName()` Name (or name/version) of the key.
`com.google.protobuf.ByteString` `getNameBytes()` Name (or name/version) of the key.
`String` `getPublicKey()` Public key, encoded in the requested format
`com.google.protobuf.ByteString` `getPublicKeyBytes()` Public key, encoded in the requested format
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`DaprProtos.SubtleGetKeyResponse.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.SubtleGetKeyResponse.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`DaprProtos.SubtleGetKeyResponse.Builder` `mergeFrom​(DaprProtos.SubtleGetKeyResponse other)`
`DaprProtos.SubtleGetKeyResponse.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.SubtleGetKeyResponse.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.SubtleGetKeyResponse.Builder` `setName​(String value)` Name (or name/version) of the key.
`DaprProtos.SubtleGetKeyResponse.Builder` `setNameBytes​(com.google.protobuf.ByteString value)` Name (or name/version) of the key.
`DaprProtos.SubtleGetKeyResponse.Builder` `setPublicKey​(String value)` Public key, encoded in the requested format
`DaprProtos.SubtleGetKeyResponse.Builder` `setPublicKeyBytes​(com.google.protobuf.ByteString value)` Public key, encoded in the requested format
`DaprProtos.SubtleGetKeyResponse.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.SubtleGetKeyResponse.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyResponse.Builder>`

#### clear

    public DaprProtos.SubtleGetKeyResponse.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyResponse.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyResponse.Builder>`

#### getDefaultInstanceForType

    public DaprProtos.SubtleGetKeyResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public DaprProtos.SubtleGetKeyResponse build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public DaprProtos.SubtleGetKeyResponse buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public DaprProtos.SubtleGetKeyResponse.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyResponse.Builder>`

#### setField

    public DaprProtos.SubtleGetKeyResponse.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                            Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyResponse.Builder>`

#### clearField

    public DaprProtos.SubtleGetKeyResponse.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyResponse.Builder>`

#### clearOneof

    public DaprProtos.SubtleGetKeyResponse.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyResponse.Builder>`

#### setRepeatedField

    public DaprProtos.SubtleGetKeyResponse.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                    int index,
                                                                    Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyResponse.Builder>`

#### addRepeatedField

    public DaprProtos.SubtleGetKeyResponse.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                    Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyResponse.Builder>`

#### mergeFrom

    public DaprProtos.SubtleGetKeyResponse.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.SubtleGetKeyResponse.Builder>`

#### mergeFrom

    public DaprProtos.SubtleGetKeyResponse.Builder mergeFrom​(DaprProtos.SubtleGetKeyResponse other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyResponse.Builder>`

#### mergeFrom

    public DaprProtos.SubtleGetKeyResponse.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                      throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.SubtleGetKeyResponse.Builder>`
Throws:
  `IOException`

#### getName

    public String getName()

     Name (or name/version) of the key.
     This is returned as response too in case there is a version.

`string name = 1;`

Specified by:
  `getName` in interface `DaprProtos.SubtleGetKeyResponseOrBuilder`
Returns:
  The name.

#### getNameBytes

    public com.google.protobuf.ByteString getNameBytes()

     Name (or name/version) of the key.
     This is returned as response too in case there is a version.

`string name = 1;`

Specified by:
  `getNameBytes` in interface `DaprProtos.SubtleGetKeyResponseOrBuilder`
Returns:
  The bytes for name.

#### setName

    public DaprProtos.SubtleGetKeyResponse.Builder setName​(String value)

     Name (or name/version) of the key.
     This is returned as response too in case there is a version.

`string name = 1;`

Parameters:
  `value` - The name to set.
Returns:
  This builder for chaining.

#### clearName

    public DaprProtos.SubtleGetKeyResponse.Builder clearName()

     Name (or name/version) of the key.
     This is returned as response too in case there is a version.

`string name = 1;`

Returns:
  This builder for chaining.

#### setNameBytes

    public DaprProtos.SubtleGetKeyResponse.Builder setNameBytes​(com.google.protobuf.ByteString value)

     Name (or name/version) of the key.
     This is returned as response too in case there is a version.

`string name = 1;`

Parameters:
  `value` - The bytes for name to set.
Returns:
  This builder for chaining.

#### getPublicKey

    public String getPublicKey()

     Public key, encoded in the requested format

`string public_key = 2 [json_name = "publicKey"];`

Specified by:
  `getPublicKey` in interface `DaprProtos.SubtleGetKeyResponseOrBuilder`
Returns:
  The publicKey.

#### getPublicKeyBytes

    public com.google.protobuf.ByteString getPublicKeyBytes()

     Public key, encoded in the requested format

`string public_key = 2 [json_name = "publicKey"];`

Specified by:
  `getPublicKeyBytes` in interface `DaprProtos.SubtleGetKeyResponseOrBuilder`
Returns:
  The bytes for publicKey.

#### setPublicKey

    public DaprProtos.SubtleGetKeyResponse.Builder setPublicKey​(String value)

     Public key, encoded in the requested format

`string public_key = 2 [json_name = "publicKey"];`

Parameters:
  `value` - The publicKey to set.
Returns:
  This builder for chaining.

#### clearPublicKey

    public DaprProtos.SubtleGetKeyResponse.Builder clearPublicKey()

     Public key, encoded in the requested format

`string public_key = 2 [json_name = "publicKey"];`

Returns:
  This builder for chaining.

#### setPublicKeyBytes

    public DaprProtos.SubtleGetKeyResponse.Builder setPublicKeyBytes​(com.google.protobuf.ByteString value)

     Public key, encoded in the requested format

`string public_key = 2 [json_name = "publicKey"];`

Parameters:
  `value` - The bytes for publicKey to set.
Returns:
  This builder for chaining.

#### setUnknownFields

    public final DaprProtos.SubtleGetKeyResponse.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyResponse.Builder>`

#### mergeUnknownFields

    public final DaprProtos.SubtleGetKeyResponse.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyResponse.Builder>`